// const tracer = require('./tracer');
import tracer from './tracer'
import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { ConsoleLogger } from '@nestjs/common';

async function bootstrap() {
  await tracer.start();

  const app = await NestFactory.create(AppModule, {
    logger: new ConsoleLogger({ json: true }),
  });
  app.enableCors();

  await app.listen(3000);
}
bootstrap();
